Bug 1358865 (CVE-2016-5405) - CVE-2016-5405 389-ds-base: Password verification vulnerable to timing attack
Summary: CVE-2016-5405 389-ds-base: Password verification vulnerable to timing attack
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-5405
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1358565 1360974 1360975 1360976
Blocks: 1323912 1358866
TreeView+ depends on / blocked
 
Reported: 2016-07-21 16:10 UTC by Adam Mariš
Modified: 2019-09-29 13:53 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
It was found that 389 Directory Server was vulnerable to a remote password disclosure via timing attack. A remote attacker could possibly use this flaw to retrieve directory server password after many tries.
Clone Of:
Environment:
Last Closed: 2016-11-15 19:57:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2594 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2016-11-03 12:11:08 UTC
Red Hat Product Errata RHSA-2016:2765 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2016-11-16 00:36:28 UTC

Description Adam Mariš 2016-07-21 16:10:23 UTC
It was found that 389 Directory Server is vulnerable to a remote password disclosure via timing attack. Due to the use of strcmp and memcmp in the verification of passwords and hashes, remote attacker is able to tell the difference between computation times which makes him able to retrieve the password after many tries.

This affects systems storing passwords in plain text. Systems using unsalted hashes might be unsafe as well if using weak hash algorithms, however the attack would be very time-consuming.

Comment 1 Adam Mariš 2016-07-21 16:10:28 UTC
Acknowledgments:

Name: William Brown (Red Hat)

Comment 11 errata-xmlrpc 2016-11-03 20:44:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2594 https://rhn.redhat.com/errata/RHSA-2016-2594.html

Comment 13 errata-xmlrpc 2016-11-15 19:38:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:2765 https://rhn.redhat.com/errata/RHSA-2016-2765.html


Note You need to log in before you can comment on or make changes to this bug.